Subject: Re: Bug#1004894: sudo: [i386] invalid opcode

From: Martin-Éric Racine <[email-masked]>
Date: Mon, 14 Mar 2022 16:45:10 +0200

On Mon, Mar 14, 2022 at 4:39 PM Marc Haber
<[email-masked]> wrote:
>
> On Mon, Mar 14, 2022 at 04:32:58PM +0200, Martin-Éric Racine wrote:
> > On Mon, Mar 14, 2022 at 4:30 PM Marc Haber
> > <[email-masked]> wrote:
> > >
> > > On Mon, Mar 14, 2022 at 04:23:40PM +0200, Martin-Éric Racine wrote:
> > > > The Geode LX is not a vanilla 586. It is a vanilla 686. The reported
> > > > CPU variant has simply remained at 586 for reasons only known to AMD.
> > >
> > > According to all docs available to me, it is a vanilla 686 sans
> > > multi-byte NOP ("NOPL").
> >
> > That's correct. No PAE and no NOPL.
>
> The only piece of evidence I have is that:
>
> - Debian explicitly mentioned NOPL-less i686 processors as being
>   supported in stretch AND
> - this mention vanishing in buster and bullseye
>
> Not being a native speaker of English, is there any other possible
> interpretation of this removal than the retraction of support for
> NOPL-less i686 processors?

Possibly. Dropping support for non-PAE i686 has been randomly
discussed on mailing lists. However, the base kernel on i386 still is
configured for a Geode LX.

> I have never seen Debian issue release notes like "the frobnication
> processor is no longer supported", and i386 being the former mainstream
> architecture, there is no explicit porter group to talk to.

That's incorrect. Every now and then, architectures drop support for
earlier CPU variants and that tends to be mentioned in the release
notes.

> I am afraid that my time resources are limited. If you want continued
> action on this but report, please talk to the gcc and/or linux
> maintainers in Debian and have them tell me that the Geode LX is still
> supported.

In CC.

Martin-Éric